
-- Setup server and database
Use SQLSaturday
GO

-- important for restore
sp_changedbowner 'sa'

-- enable CLR
EXEC sp_configure 'show advanced options' , '1';
go
reconfigure;
go
EXEC sp_configure 'clr enabled' , '1'
go

Reconfigure With Override
go


-- needed for CLR use
ALTER DATABASE SQLSaturday SET TRUSTWORTHY ON
GO


SELECT SOUNDEX ((Select AllFields From Persons Where PersonID=1)), SOUNDEX ((Select AllFields From Persons Where PersonID=2));

Select DIFFERENCE((Select AllFields From Persons Where PersonID=1), (Select AllFields From Persons Where PersonID=2))


Select dbo.DifferenceInStrings((Select AllFields From Persons Where PersonID=1), (Select AllFields From Persons Where PersonID=2))


-- Setup system.drawing for use of bitmaps
CREATE ASSEMBLY [System.Drawing.dll]
FROM 'C:\WINDOWS\Microsoft.NET\Framework\v2.0.50727\System.Drawing.dll'
WITH PERMISSION_SET = UNSAFE
GO



Insert Into ImportedData ([FileName], FileContent)
Values(
'c:\quote.html', dbo.GetFileContent('c:\quote.html'))

Select CAST(FileContent as varchar(max)) from ImportedData


ALTER TABLE [dbo].[Persons]  WITH CHECK ADD  CONSTRAINT [CK_Persons] CHECK  (([dbo].[IsEmailValid]([Email])=(1)))
GO

ALTER TABLE [dbo].[Persons] CHECK CONSTRAINT [CK_Persons]
GO
